## dojox.cometd
Interface Listener

    public interface Listener

Cometd Receiver interface. A receive in an object that can receive a message for a Bayeux `Client`.

Author:
  gregw

Method Summary
`void` `deliver(Client fromClient, Client toClient, Map<String,Object> msg)` Called when a message is delivered to the client
`void` `removed(String clientId, boolean timeout)` This method is called when the client is removed (explicitly or from a timeout)

Method Detail

### removed

    void removed(String clientId,
                 boolean timeout)

  This method is called when the client is removed (explicitly or from a timeout)

### deliver

    void deliver(Client fromClient,
                 Client toClient,
                 Map<String,Object> msg)

  Called when a message is delivered to the client

  Parameters:
    `msg` - TODO

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.